%define upstream_name    JSON-PP-Compat5006
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Helper module in using JSON::PP in Perl 5.6
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
JSON::PP calls internally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 05 2011 kharec <kharec> 1.90.0-1.mga2
+ Revision: 163786
- imported package perl-JSON-PP-Compat5006


* Sat Nov 05 2011 cpan2dist 1.09-1mga
- initial mageia release, generated with cpan2dist
